#ifdef VHDL_TESTBENCH
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"
#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

  void Interface::testbench (void)
  {
    log_printf(FUNC,Behavioural,"testbench","Begin");

    if (_list_signal->empty()== false)
      {
	std::list<Signal*>::iterator i     = _list_signal->begin();

	while (i != _list_signal->end())
	  {
	    (*i)->testbench();
	    ++i;
	  }
      }

    log_printf(FUNC,Behavioural,"testbench","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
